Thunderbird 2.0.0.23? Rated 3 out of 5 stars

I'm using Thunderbird 2.0.0.23 and i tried to install Version 0.7 but it doesn't install. I receive a message that says Version 0.7 is not compatible with Thunderbird 2.0.0.23.

This review is for a previous version of the add-on (0.8).